@book{ref1,
  title={Car-following models: fifty years of linear stability analysis – a mathematical perspective, Transportation Planning and Technology},
  author={Wilson R. Eddie; Ward Jonathan A.},
  DOI={10.1080/03081060.2011.530826},
  year={2010},
  publisher={UTSG, Plymouth}
}

@book{ref2,
  title={The Intelligent Driver Model: Analysis and Application to Adaptive Cruise Control, All Theses, Clemson University},
  author={Malinauskas Rachel},
  url={https://tigerprints.clemson.edu/all_theses/1934},
  year={2004},
  publisher={Tiger Print}
}

@book{reff3,
  title={Traffic Flow Dynamics, Data, Models and Simulation, First edition},
  author={Treiber Martin; Kesting Arne.},
  isbn={978-3-642-32459-8.},
  year={2013},
  publisher={Springer-Verlag Berlin Heidelberg}
}

@book{reff4,
  title={fitidm, Intelligent Driver Model Data Fitting and Paramter Estimation, Matlab Function-Documentation},
  author={Machová Karolína; Min Joonhong; Pospíchal Lukáš; Zelinka Tomáš},
  year={2020},
}

@book{reff5,
  title={Simulating the impact of prioritization of emergency vehicles at traffic light controlled junctions on the other traffic. Master’s thesis},
  author={Obrusník Vít},
  year={2019},
  publisher={Czech Technical University in Prague, Faculty of Electrical Engineering, Department of Control Engineering.}
  
}

@article{reff6, title={Effect of adaptive and cooperative adaptive cruise control on throughput of signalized arterials}, DOI={10.1109/ivs.2017.7995889}, journal={2017 IEEE Intelligent Vehicles Symposium (IV)}, author={Askari, Armin and Farias, Daniel Albarnaz and Kurzhanskiy, Alex A. and Varaiya, Pravin}, year={2017}
}

@book{reff7,
title={Enlarged Stopping Distance to Improve Vehicle Distance at Urban Signalized Intersections},
author={Shuai Yang},
year={2013},
publisher={Queensland University of Technology},
type={PhD Thesis}
}

@article{reff8, title={Parameters of the intelligent driver model in signalized intersections}, volume={23}, DOI={10.17559/tv-20140702174255}, number={5}, journal={Tehnicki vjesnik - Technical Gazette}, author={Kovács, Tamás and Bolla, Kálmán and Gil, Rafael Alvarez and Csizmás, Edit and Fábián, Csaba and Kovács, Lóránt and Medgyes, Krisztián and Osztényi, József and Végh, Attila}, year={2016}
}

 @article{reff9, title={Some features of car-following behaviour in the vicinity of signalised intersection and how to model them}, volume={13}, DOI={10.1049/iet-its.2018.5510}, number={11}, journal={IET Intelligent Transport Systems}, author={Zhang, Jian and Tang, Tie-Qiao and Wang, Tao}, year={2019}, pages={1686–1693}
 }
 
 
  @article{reff10, title={Savitzky-Golay filtering - MATLAB sgolayfilt - MathWorks United Kingdom}, author={MathWorks}, year={2020}, url={https://uk.mathworks.com/help/signal/ref/sgolayfilt.html},
  publisher={MathWorks},
 }
 
  @article{reff11, title={Verification of a simplified car-following theory}, volume={38}, DOI={10.1016/s0191-2615(03)00074-2}, number={5}, journal={Transportation Research Part B: Methodological}, author={Ahn, Soyoung and Cassidy, Michael J. and Laval, Jorge}, year={2004}, pages={431–440}}
  
   @article{reff12, title={Simulation Strategies for Mixed Traffic Conditions: A Review of Car-Following Models and Simulation Frameworks}, volume={2020}, DOI={10.1155/2020/8231930}, journal={Journal of Engineering}, author={Matcha, Bhargav Naidu and Namasivayam, Satesh Narayana and Fouladi, Mohammad Hosseini and Ng, K. C. and Sivanesan, Sivakumar and Noum, Se Yong Eh}, year={2020}, pages={1–22}}